/*
 * Created on Aug 9, 2007
 */
package net.sf.doolin.template;

import net.sf.jstring.JStrings;

import java.io.BufferedWriter;
import java.io.IOException;
import java.io.StringWriter;
import java.util.Map;

/**
 * Utility methods for the template management.
 * 
 * @author Damien Coraboeuf
 */
public class TemplateUtils {

	/**
	 * Bundle
	 */
	static {
		JStrings.add("net.sf.doolin.template.TemplateBundle");
	}

	private TemplateUtils() {
	}

	/**
	 * Generates a string from a template.
	 * 
	 * @param template
	 *            Template to generate from
	 * @param context
	 *            Template context
	 * @return Generated string
	 */
	public static String generateString(Template template,
			Map<String, Object> context) {
		StringWriter stringWriter = new StringWriter();
		BufferedWriter writer = new BufferedWriter(stringWriter);
		try {
			try {
				template.generate(writer, context);
			} finally {
				writer.close();
			}
		} catch (IOException ex) {
			throw new RuntimeException(
					"Cannot generate template into a string", ex);
		}
		// Converts to string
		return stringWriter.toString();
	}

}
