package net.sf.doolin.template.velocity;

import org.apache.velocity.runtime.RuntimeServices;
import org.apache.velocity.runtime.log.LogChute;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Logger of Velocity
 * 
 * @author Damien Coraboeuf
 */
public class VelocityLogSystem implements LogChute {

	/**
	 * Logger
	 */
	private final static Logger log = LoggerFactory
			.getLogger(VelocityLogSystem.class);

	/**
	 * No init needed
	 */
	@Override
	public void init(RuntimeServices runtimeServices) throws Exception {
	}

	@Override
	public boolean isLevelEnabled(int level) {
		switch (level) {
		case DEBUG_ID:
			return log.isDebugEnabled();
		case INFO_ID:
			return log.isInfoEnabled();
		case WARN_ID:
			return log.isWarnEnabled();
		case ERROR_ID:
			return log.isErrorEnabled();
		default:
			return log.isDebugEnabled();
		}
	}

	/**
	 * Logger
	 */
	@Override
	public void log(int level, String message) {
		log.debug(message);
	}

	@Override
	public void log(int level, String message, Throwable th) {
		log.error(message, th);
	}

}
